Bug 1590062 (CVE-2018-11219) - CVE-2018-11219 redis: Integer overflow in lua_struct.c:b_unpack()
Summary: CVE-2018-11219 redis: Integer overflow in lua_struct.c:b_unpack()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-11219
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1591538 1591539 1591540 1597536 1599555 1599556 1599557 1599558 1599559 1599560 1599561 1599562 1599563
Blocks: 1590065
TreeView+ depends on / blocked
 
Reported: 2018-06-12 01:12 UTC by Sam Fowler
Modified: 2019-09-29 14:41 UTC (History)
31 users (show)

Fixed In Version: redis 3.2.12, redis 4.0.10, redis 5.0-rc2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:28:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0052 None None None 2019-01-16 17:11:35 UTC
Red Hat Product Errata RHSA-2019:0094 None None None 2019-01-16 17:57:32 UTC
Red Hat Product Errata RHSA-2019:1860 None None None 2019-07-25 16:08:17 UTC

Description Sam Fowler 2018-06-12 01:12:58 UTC
Redis is vulnerable to an integer overflow in the lua_struct.c:b_unpack() function. A remote attacker could exploit this to cause a denial of service or have other unspecified impact.

Comment 3 James Hebden 2018-06-15 00:27:14 UTC
External References:

http://antirez.com/news/119

Comment 4 James Hebden 2018-06-15 00:37:05 UTC
Created redis tracking bugs for this issue:

Affects: epel-all [bug 1591538]
Affects: fedora-all [bug 1591540]

Comment 7 Remi Collet 2018-06-25 10:38:08 UTC
We already have 4.0.10

Comment 14 Joshua Padman 2018-12-06 10:08:19 UTC
Acknowledgments:

Comment 16 errata-xmlrpc 2019-01-16 17:11:33 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2019:0052 https://access.redhat.com/errata/RHSA-2019:0052

Comment 17 errata-xmlrpc 2019-01-16 17:57:30 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 13.0 (Queens)

Via RHSA-2019:0094 https://access.redhat.com/errata/RHSA-2019:0094

Comment 21 errata-xmlrpc 2019-07-25 16:08:16 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6

Via RHSA-2019:1860 https://access.redhat.com/errata/RHSA-2019:1860


Note You need to log in before you can comment on or make changes to this bug.